## org.mortbay.cometd
Class AbstractTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport

All Implemented Interfaces:
  Transport

Direct Known Subclasses:
  JSONPTransport, JSONTransport

    public abstract class AbstractTransport

extends Object
implements Transport

Constructor Summary
`AbstractTransport()`

Method Summary
`HttpServletResponse` `getResponse()`
`boolean` `isPolling()`
`void` `send(List<Map<String,Object>> replies)`
`void` `setPolling(boolean polling)`
`void` `setResponse(HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mortbay.cometd.Transport
`alwaysResumePoll, complete, isJSONCommented, keepAlive, send, send, setJSONCommented`

Constructor Detail

### AbstractTransport

    public AbstractTransport()

Method Detail

### setResponse

    public void setResponse(HttpServletResponse response)
                     throws IOException

  Specified by:
    `setResponse` in interface `Transport`
  Throws:
    `IOException`

### getResponse

    public HttpServletResponse getResponse()

### isPolling

    public boolean isPolling()

  Specified by:
    `isPolling` in interface `Transport`

### setPolling

    public void setPolling(boolean polling)

  Specified by:
    `setPolling` in interface `Transport`

### send

    public void send(List<Map<String,Object>> replies)
              throws IOException

  Specified by:
    `send` in interface `Transport`
  Throws:
    `IOException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.